QGIS Application - Bug report #10026
Postinstallation fails
2014-04-08 11:42 PM - Andreas Braun

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18512
Description

Has been tried with the OSGeo4W-Installer as well as with single QGIS-Installers of various versions (2.2 down to 1.8), all reveal the
same error.

Packages are downloaded and installed correctly, postinstallation error messages appear:
Package: setup
setup.bat exit code 1
Package: pyqt4
pyqt4.bat exit code 1
Package: sip
sip.bat exit code 1

Therefore pyqtd.bat, setup.bat and sip.bat are not executed correctly and some bat-files (such as qgis.bat) remain *.bat.tmp. When
starting them manually "qgis_core.dll" cannot be found. Consequently, the shortcuts and menu entries are not created.

| have investigated this some more and found that the "replacetext" command cannot be executed by the scripts mentioned above.
Altough it is in the \\bin-folder the three scripts cannot find them and cause the exit code 1.

| have tried anything to make it work but | always get to the same result that the installation seems to be good to a degree of about 98%
but still the programm fails to work properly.

Greets and thanks in advance.

Related issues:
Related to QGIS Application - Bug report # 10001: Window 7 menu shortcuts broken Closed 2014-04-05

History

#1 - 2014-04-16 11:24 PM - Andreas Braun
| found out that the "replacetext" command in setup.bat, pyqt4.bat and sip.bat works, but they can't find the OSGEO4W_ROQT and
OSGEO4W_ROOT_MSYS variables. Maybe | could pre-set them as environment variables before the Installation but I'm not completely sure which paths

to enter for each.

Any ideas how to solve this? It can't be much, because all other parts are installed correctly.

#2 - 2014-07-02 04:06 AM - jamaa jamaa

Also affects Version 2.4.0 on Windows 7 (QGIS-OSGe04W-2.4.0-1-Setup-x86_64.exe)
#3 - 2014-07-02 04:31 AM - Jiirgen Fischer
- Status changed from Open to Feedback

attach the postinstall.log please

#4 - 2014-07-03 06:13 AM - jamaa jamaa
- File postinstall.log added

here is my postinstall.log

#5 - 2014-07-03 06:19 AM - Andreas Braun

jamaa jamaa wrote:

here is my postinstall.log

Thanks for posting. As in my case, the "textreplace" command is not recognized, thus failing all subsequent tasks such as the creation of shortcuts and the

performance of other setup tasks.

#6 - 2014-07-03 07:08 AM - jamaa jamaa

Andreas Braun wrote:

jamaa jamaa wrote:

here is my postinstall.log

Thanks for posting. As in my case, the "textreplace” command is not recognized, thus failing all subsequent tasks such as the creation of shortcuts

and the performance of other setup tasks.

even before that, the command call "\\bin\\make-bat-for-py.bat" fails because it cannot find the given path. It should be call "bin\\make-bat-for-py.bat"

(without the first backslash). I'm pretty sure all subsequent commands should not be beginning with a backslash either.

#7 - 2014-07-03 07:17 AM - Jiirgen Fischer

jamaa jamaa wrote:

even before that, the command call "\\bin\\make-bat-for-py.bat" fails because it cannot find the given path. It should be call
"bin\\make-bat-for-py.bat" (without the first backslash). I'm pretty sure all subsequent commands should not be beginning with a backslash either.

That's because even before that OSGEO4W_ROOQOT is empty. Really odd. Is your environment exceptionally big? Is there already a preset
OSGEO4W_ROQOT variable?
#8 - 2014-07-03 07:26 AM - jamaa jamaa

Jurgen Fischer wrote:

That's because even before that OSGEO4W_ROOT is empty. Really odd. Is your environment exceptionally big? Is there already a preset
OSGEO4W_ROOT variable?

| wouldn't know how to judge whether my environment is exceptionally big. | have 21 variables defined. OSGEO4W_ROOT is not among them.

#9 - 2014-07-31 12:58 AM - jamaa jamaa

Is there any way of working around this problem? Perhaps by setting some environment variables manually before attempting to install?

#10 - 2014-07-31 01:18 AM - Jiirgen Fischer

jamaa jamaa wrote:

Is there any way of working around this problem? Perhaps by setting some environment variables manually before attempting to install?

Did you try OSGEO4W_ROOT already?

#11 - 2014-08-06 02:16 AM - jamaa jamaa
- File postinstall.log added

Jurgen Fischer wrote:

Did you try OSGEO4W_ROOT already?

Setting the environment variable OSGEO4W_ROOT to C:\\Programme\\QGIS before the installation unfortunately seems to have no effect. Attached is a

new postinstall.log, which seems to be identical to the previous one.

Any other ideas?

#12 - 2014-08-06 02:44 AM - jamaa jamaa
- File postinstall.log added

OK, | tried installing the 32bit version (QGIS-OSGeo4W-2.4.0-1-Setup-x86.exe) and it worked! So | guess the problem affects only the x64-version.

Interestingly, even after successful installation, no environment variable OSGEO4W_ROOT is set. Perhaps it is removed again after the installation?

#13 - 2014-08-06 03:34 AM - Jiirgen Fischer

jamaa jamaa wrote:
Interestingly, even after successful installation, no environment variable OSGEO4W_ROOT is set. Perhaps it is removed again after the installation?

It's never set globally - only in the environment of the stuff you start from OSGeo4W.

Can you reproduce the problem with 64bit on other machines?

#14 - 2014-08-06 03:34 AM - Andreas Braun

jamaa jamaa wrote:

OK, | tried installing the 32bit version (QGIS-OSGeo4W-2.4.0-1-Setup-x86.exe) and it worked! So | guess the problem affects only the x64-version.

thanks for your report, I'll give it a try.

#15 - 2014-10-30 09:06 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to worksforme

closing for lack of feedback, please reopen if necessary.

Files

postinstall.log 10.4 KB 2014-07-03 jamaa jamaa

postinstall.log 10.4 KB 2014-08-06 jamaa jamaa

postinstall.log 14.6 KB 2014-08-06 jamaa jamaa
2025-06-08 4/4



